<script context="module">
  // @ts-ignore
  import { getShopsItems } from "$requesters/requesters";
  // @ts-ignore
  export async function load({ fetch }) {
    const response = await getShopsItems({fetchWith: fetch});
    console.log(response);
    return {
      status: response.status,
      props: {
        shop_items: response.body
      }
    };
  }
</script>
  
<script>
  // @ts-ignore
  import ShopCard from "$components/blog/ShopCard.svelte";

  export let shop_items = []
</script>

{#each shop_items as shop_item }
  <ShopCard shopItem={shop_item} />
{/each}

